Skip to main content
GET
/
workforce
/
bounties
List Workforce Bounties
curl --request GET \
  --url https://api.whop.com/api/v1/workforce/bounties \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/workforce/bounties"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/workforce/bounties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "accepted_submissions_count": 123,
      "accepted_submissions_limit": 123,
      "allowed_country_codes": [
        "<string>"
      ],
      "budget_amount": 123,
      "business_goal_type": "clipping",
      "created_at": "<string>",
      "currency": "<string>",
      "experience_id": "<string>",
      "funding_account": {
        "id": "<string>",
        "title": "<string>"
      },
      "gross_paid_out_amount": 123,
      "gross_reward_amount": 123,
      "id": "<string>",
      "poster": {
        "id": "<string>",
        "name": "<string>",
        "profile_picture": {
          "url": "<string>"
        },
        "username": "<string>"
      },
      "scheduled_frequency": "once",
      "scheduled_publish_at": "<string>",
      "spots_remaining": 123,
      "status": "scheduled",
      "submissions_closed_at": "<string>",
      "title": "<string>",
      "unresolved_submissions_count": 123,
      "updated_at": "<string>"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  }
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-07-08-1"

Query Parameters

account_id
string

Scope the list to this account (biz_ tag). Requires read access to the account; account API keys may pass their own account or a connected account.

user_id
string

List the bounties this user participated in (user_ tag). Must be the authenticated user.

status
enum<string>

Filter by lifecycle state.

Available options:
scheduled,
open,
closed,
completed,
canceled
query
string

Substring match on the bounty title or ID.

created_after
string

Only bounties created after this ISO 8601 timestamp.

created_before
string

Only bounties created before this ISO 8601 timestamp.

order
enum<string>
default:created_at

Sort field.

Available options:
created_at,
gross_paid_out_amount
direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
first
integer
default:20

Number of bounties to return from the start of the window.

Required range: x <= 100
after
string

Cursor to paginate forwards from.

last
integer

Number of bounties to return from the end of the window.

Required range: x <= 100
before
string

Cursor to paginate backwards from.

Response

workforce bounties listed

data
object[]
required
page_info
object
required